package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PerfForfeitSyncCollection extends AbstractObjectCollection 
{
    public PerfForfeitSyncCollection()
    {
        super(PerfForfeitSyncInfo.class);
    }
    public boolean add(PerfForfeitSyncInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PerfForfeitSyncCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PerfForfeitSyncInfo item)
    {
        return removeObject(item);
    }
    public PerfForfeitSyncInfo get(int index)
    {
        return(PerfForfeitSyncInfo)getObject(index);
    }
    public PerfForfeitSyncInfo get(Object key)
    {
        return(PerfForfeitSyncInfo)getObject(key);
    }
    public void set(int index, PerfForfeitSyncInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PerfForfeitSyncInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PerfForfeitSyncInfo item)
    {
        return super.indexOf(item);
    }
}